<p id="notice"><%= notice %></p>

<h2>Books</h2>
<!-- search form -->
<form action="/books" method="get" class="sidebar-form" style="width:150px;float:right;">
  <div class="input-group">
    <input type="text" name="query" value="<%=@query%>" class="form-control" placeholder="Search Book...">
        <span class="input-group-btn">
          <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
          </button>
        </span>
  </div>
</form>
<!-- /.search form -->
<table class="table table-bordered">
  <thead>
    <tr>
      <th>Isbn</th>
      <th>Title</th>
      <th>Year published</th>
      <th>Author</th>
      <th>Categories</th>
      <th>Recommendations</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @books.each do |book| %>
      <tr>
        <td><%= book.isbn %></td>
        <td><%= book.title %></td>
        <td><%= book.year_published %></td>
        <td><%= book.author.try(:name) %></td>
        <td>
          <ul>
          <% book.categories.each do |category| %>
            <li><%= link_to category.name, category %></li>
          <% end %>
          </ul>
        </td>
        <td><%= (@recommendations[book.isbn] || []).map(&:title).to_sentence %></td>
        <td><%= link_to 'Show', book %></td>
        <td><%= link_to 'Edit', edit_book_path(book) %></td>
        <td><%= link_to 'Destroy', book, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
    <%= paginate @books %>
    </tbody>
</table>

<br>

<%= link_to 'New Book', new_book_path, class: 'btn btn-primary' %>
<%= link_to 'Back', books_path, class: 'btn btn-primary' if params[:query].present? %>